| HOpenGL Libraries (OpenGL package) | Source code | Contents | Index
Graphics.Rendering.OpenGL.GL.Feedback |
Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Description
This module corresponds to section 5.3 (Feedback) of the OpenGL 2.1 specs.
Documentation
data FeedbackToken
Constructors
PointToken VertexInfo |
LineToken VertexInfo VertexInfo |
LineResetToken VertexInfo VertexInfo |
PolygonToken [VertexInfo] |
BitmapToken VertexInfo |
DrawPixelToken VertexInfo |
CopyPixelToken VertexInfo |
PassThroughToken PassThroughValue |
Instances
Eq FeedbackToken
Ord FeedbackToken
Show FeedbackToken
data VertexInfo
Constructors
Vertex2D (Vertex2 GLfloat) |
Vertex3D (Vertex3 GLfloat) |
Vertex3DColor (Vertex3 GLfloat) ColorInfo |
Vertex3DColorTexture (Vertex3 GLfloat) ColorInfo (TexCoord4 GLfloat) |
Vertex4DColorTexture (Vertex4 GLfloat) ColorInfo (TexCoord4 GLfloat) |
Instances
Eq VertexInfo
Ord VertexInfo
Show VertexInfo
type ColorInfo = Either (Index1 GLint) (Color4 GLfloat)
data FeedbackType
Constructors
TwoD |
ThreeD |
ThreeDColor |
ThreeDColorTexture |
FourDColorTexture |
Instances
Eq FeedbackType
Ord FeedbackType
Show FeedbackType
getFeedbackTokens :: GLsizei -> FeedbackType -> IO a -> IO (a, Maybe [FeedbackToken])
newtype PassThroughValue
Constructors
PassThroughValue GLfloat |
Instances
Eq PassThroughValue
Ord PassThroughValue
Show PassThroughValue
passThrough :: PassThroughValue -> IO ()
Produced by Haddock version 0.8